-- CoPyRiGhT=Copyright (c) 2013 NetIQ Corporation and its affiliates. All Rights Reserved.
-- Schema Source:		ldapupdt.sch
-- Description:
-- %version:			idc_n4u#42.1.4 %
-- %date_modified:		Tue Jun  5 14:10:08 2007 %

LDAPAuxExtentions DEFINITIONS ::=
BEGIN

-- Domain Naming for RFC 2247
-- dc, domain, and dcObject have been moved into base DS schema


-- PKI attributes and class

"userCertificate" ATTRIBUTE ::=
{
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 5 4 36}
}

"cACertificate" ATTRIBUTE ::=
{
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 5 4 37}
}

"authorityRevocationList" ATTRIBUTE ::=
{
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 5 4 38}
}

"certificateRevocationList" ATTRIBUTE ::=
{
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 5 4 39}
}

"deltaRevocationList" ATTRIBUTE ::=
{
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 5 4 53}
}

"crossCertificatePair" ATTRIBUTE ::=
{
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 5 4 40}
}

"attributeCertificate" ATTRIBUTE ::=
{
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID	{2 5 4 58}
}

------------------------------------------
-- PKI Auxiliary Classes
------------------------------------------
"pkiCA" OBJECT-CLASS ::=
{
	Operation	ADD,
	Flags		{DS_AUXILIARY_CLASS},
	MayContain	{
			"cACertificate",           "certificateRevocationList",
			"authorityRevocationList", "crossCertificatePair",
			"attributeCertificate",	   "Public Key",
			"Private Key",		   "Network Address",
			"Login Time",              "Last Login Time"},
	ASN1ObjID	{2 5 6 22}
}

"pkiUser" OBJECT-CLASS ::=
{
	Operation	ADD,
	Flags		{DS_AUXILIARY_CLASS},
	MayContain	{"userCertificate"},
	ASN1ObjID	{2 5 6 21}
}

-- cRLDistributionPoint moved to pki.sch 

"strongAuthenticationUser" OBJECT-CLASS ::=
{
	Operation	ADD,
	Flags		{DS_AUXILIARY_CLASS},
	MayContain	{"userCertificate"},
	ASN1ObjID	{2 5 6 15}
}

-- RFC 2256
"knowledgeInformation" ATTRIBUTE ::=
{
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound 	32768,
	ASN1ObjID	{2 5 4 2}
}

"searchGuide" ATTRIBUTE ::=
{
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 5 4 14}
}

"businessCategory" ATTRIBUTE ::=
{
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	128,
	ASN1ObjID	{2 5 4 15}
}

"telexNumber" ATTRIBUTE ::=
{
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 5 4 21}
}

"teletexTerminalIdentifier" ATTRIBUTE ::=
{
	SyntaxID	SYN_OCTET_STRING,
	Flags 	{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 5 4 22}
}

"x121Address" ATTRIBUTE ::=
{
	SyntaxID	SYN_NU_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	15,
	ASN1ObjID	{2 5 4 24}
}

"internationaliSDNNumber" ATTRIBUTE ::=
{
	SyntaxID	SYN_NU_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	16,
	ASN1ObjID	{2 5 4 25}
}

"registeredAddress" ATTRIBUTE ::=
{
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 5 4 26}
}

"destinationIndicator" ATTRIBUTE ::=
{
	SyntaxID	SYN_PR_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	128,
	ASN1ObjID	{2 5 4 27}
}

"preferredDeliveryMethod" ATTRIBUTE ::=
{
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 5 4 28}
}

"presentationAddress" ATTRIBUTE ::=
{
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 5 4 29}
}

"supportedApplicationContext" ATTRIBUTE ::=
{
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 5 4 30}
}

"x500UniqueIdentifier" ATTRIBUTE ::=
{
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 5 4 45}
}

"dnQualifier" ATTRIBUTE ::=
{
	SyntaxID	SYN_PR_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 5 4 46}
}

"enhancedSearchGuide" ATTRIBUTE ::=
{
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 5 4 47}
}

"protocolInformation" ATTRIBUTE ::=
{
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 5 4 48}
}

"houseIdentifier" ATTRIBUTE ::=
{
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	32768,
	ASN1ObjID	{2 5 4 51}
}

"supportedAlgorithms" ATTRIBUTE ::=
{
	SyntaxID	SYN_OCTET_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 5 4 52}
}

"dmdName" ATTRIBUTE ::=
{
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SIZED_ATTR, DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	32768,
	ASN1ObjID	{2 5 4 54}
}

"roomNumber" ATTRIBUTE ::=
{
	SyntaxID	SYN_CI_STRING,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{0 9 2342 19200300 100 1 6}
}

"applicationProcess" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Country", "Locality",	"Organizational Unit", "Organization" , "domain"},
	NamedBy	{"CN"},
	MustContain	{"CN"},
	MayContain	{"See Also",	"OU",
			"L",			"Description"},
	ASN1ObjID	{2 5 6 11}
}

"applicationEntity" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"Top"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Country", "Locality",	"Organizational Unit", "Organization", "domain"},
	NamedBy	{"CN"},
	MustContain	{"presentationAddress", "CN"},
	MayContain	{"supportedApplicationContext",	"See Also",
			"OU",		"O",		"L",		"Description"},
	ASN1ObjID	{2 5 6 12}
}

"dSA" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"applicationEntity"},
	Flags		{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	ContainedBy	{"Country", "Locality",	"Organizational Unit", "Organization", "domain"},
	MayContain	{"knowledgeInformation"},
	ASN1ObjID	{2 5 6 13}
}

"certificationAuthority" OBJECT-CLASS ::=
{
	Operation	ADD,
	Flags		{DS_AUXILIARY_CLASS},
	MustContain	{"authorityRevocationList", "certificateRevocationList",
			"cACertificate"},
	MayContain	{"crossCertificatePair"},
	ASN1ObjID	{2 5 6 16}
}

"userSecurityInformation" OBJECT-CLASS ::=
{
	Operation	ADD,
	Flags		{DS_AUXILIARY_CLASS},
	MayContain	{"supportedAlgorithms"},
	ASN1ObjID	{2 5 6 18}
}

"Organizational Person" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	MayContain	{"destinationIndicator",		"internationaliSDNNumber",
			"preferredDeliveryMethod",		"registeredAddress",
			"teletexTerminalIdentifier",		"telexNumber",
			"x121Address",				"businessCategory",
			"roomNumber",				"x500UniqueIdentifier"
			}
}

"Organization" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	MayContain	{"x121Address",				"registeredAddress",
			"destinationIndicator",			"preferredDeliveryMethod",
			"telexNumber",				"teletexTerminalIdentifier",
			"internationaliSDNNumber",		"businessCategory",
			"searchGuide"
			}
}

"Organizational Unit" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	MayContain	{"x121Address",				"registeredAddress",
			"destinationIndicator",			"preferredDeliveryMethod",
			"telexNumber",				"teletexTerminalIdentifier",
			"internationaliSDNNumber",		"businessCategory",
			"searchGuide"
			}
}

"Organizational Role" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	MayContain	{"x121Address",				"registeredAddress",
			"destinationIndicator",			"preferredDeliveryMethod",
			"telexNumber",				"teletexTerminalIdentifier",
			"internationaliSDNNumber"
			}
}

"group" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	MayContain	{"businessCategory"}
}

"dmd" OBJECT-CLASS ::=
{
	Operation   ADD,
	SubClassOf	{"ndsLoginProperties"},
	Flags		{DS_AUXILIARY_CLASS},
	MustContain	{"dmdName"},
	MayContain	{"searchGuide",
			"See Also", 				"businessCategory",
			"x121Address", 				"registeredAddress",
			"destinationIndicator",			"preferredDeliveryMethod",
			"telexNumber", 				"teletexTerminalIdentifier",
			"Telephone Number", 			"internationaliSDNNumber",
			"Facsimile Telephone Number",		"SA",
			"Postal Office Box", 			"Postal Code",
			"Postal Address", 			"Physical Delivery Office Name",
			"L", 						"Description"},
	ASN1ObjID	{2 5 6 20}
}

"associatedName" ATTRIBUTE ::=
{
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SYNC_IMMEDIATE},
	ASN1ObjID	{0 9 2342 19200300 100 1 38}
}

"domain" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	MayContain	{"searchGuide",				"O",
			"See Also", 				"businessCategory",
			"x121Address", 				"registeredAddress",
			"destinationIndicator",			"preferredDeliveryMethod",
			"telexNumber", 				"teletexTerminalIdentifier",
			"Telephone Number", 			"internationaliSDNNumber",
			"Facsimile Telephone Number",		"SA",
			"Postal Office Box", 			"Postal Code",
			"Postal Address", 			"Physical Delivery Office Name",
			"L", 						"associatedName",
			"Description"}
}

"country" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	MayContain	{"searchGuide"}
}

"Locality" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	MayContain	{"searchGuide"}
}

"person" OBJECT-CLASS ::=
{
	Operation	MODIFY,
	MayContain	{"Full Name", 	"Given Name",
			"initials",		"uniqueID"	}
}

"certificationAuthorityVer2" OBJECT-CLASS ::=
{
	Operation	ADD,
	Flags		{DS_AUXILIARY_CLASS},
	MustContain	{"authorityRevocationList", "certificateRevocationList", 
			"cACertificate"},
	MayContain	{"crossCertificatePair", "deltaRevocationList"},
	ASN1ObjID	{2 5 6 16 2}
}

"dn" ATTRIBUTE ::=
{
	SyntaxID	SYN_DIST_NAME,
	Flags		{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID	{2 5 4 49}
}

END
